GMERLIN_PLAY(1)

NAME
gmerlin_play - Gmerlin commandline player

SYNOPSIS
gmerlin_play [options] gml...

DESCRIPTION
Commandline mediaplayer

OPTIONS

-ip plugin?opt1=val&opt2=val ..

    Use a specific input plugin with options for opening media sources.Use -list-input to list available plugins and -list-plugin-parameters <plugin> to list all supported options

-aud param1=val1[&param2=val2...]

    Set audio processing options
    q=<number> (1..5, default: 2)

    Conversion Quality

    Set the conversion quality for format conversions. Lower quality means more speed. Values above 3 enable slow high quality calculations.

    dm=<string>

    Supported strings: auto none rect tri shaped

    Default: auto

    Dither mode

    Dither mode. Auto means to use the quality level. Subsequent options are ordered by increasing quality (i.e. decreasing speed).

    sm=<string>

    Supported strings: auto zoh linear sinc_fast sinc_medium sinc_best

    Default: auto

    Resample mode

    Resample mode. Auto means to use the quality level. Subsequent options are ordered by increasing quality (i.e. decreasing speed).

    fixed_channel_setup=[1|0] (default: 0)

    Fixed channel setup

    If disabled, the output channel configuration is taken from the source. If enabled, the setup you specify below us used.

    num_front_channels=<number> (1..5, default: 2)

    Front channels

    num_rear_channels=<number> (0..3, default: 0)

    Rear channels

    num_lfe_channels=[1|0] (default: 0)

    LFE

    front_to_rear=<string>

    Supported strings: mute copy diff

    Default: copy

    Front to rear mode

    Mix mode when the output format has rear channels, but the source doesn't.

    stereo_to_mono=<string>

    Supported strings: left right mix

    Default: mix

    Stereo to mono mode

    Mix mode when downmixing Stereo to Mono.

-vid param1=val1[&param2=val2...]

    Set video processing options
    q=<number> (1..5, default: 2)

    Conversion Quality

    Set the conversion quality for format conversions. Lower quality means more speed. Values above 3 enable slow high quality calculations.

    alpha_mode=<string>

    Supported strings: ignore blend_color

    Default: ignore

    Alpha mode

    This option is used if the source has an alpha (=transparency) channel, but the output supports no transparency. Either, the transparency is ignored, or the background color you specify below is blended in.

    background_color=<r>,<g>,<b> (default: 0.000,0.000,0.000)

    <r>, <g> and <b> are in the range 0.0..1.0

    Background color

    Background color to use, when alpha mode above is "Blend background color".

    rc=[1|0] (default: 0)

    Resample chroma

    Always perform chroma resampling if chroma subsampling factors or chroma placements are different. Usually, this is only done for qualities above 3.

    skip=[1|0] (default: 1)

    Skip frames

    Skip frames to keep A/V sync

    threads=<number> (1..1024, default: 1)

    Number of threads

    Threads to launch for processing operations. Changing this requires program restart

-oa plugin[?param1=val1[&param2=val2...]]

    Set audio output plugin. Use -list-oa to list available plugins and -list-plugin-parameters <plugin> to list all supported options

-ov plugin[?param1=val1[&param2=val2...]]

    Set video output plugin. Use -list-ov to list available plugins and -list-plugin-parameters <plugin> to list all supported options

-fa plugin[?param1=val1[&param2=val2...]]

    Add an audio filter with options to the chain. This option can be given multiple times. Use -list-fa to list available plugins and -list-plugin-parameters <plugin> to list all supported options

-fv plugin[?param1=val1[&param2=val2...]]

    Add a video filter with options to the chain. This option can be given multiple times. Use -list-fv to list available plugins and -list-plugin-parameters <plugin> to list all supported options

-inopt param1=val1[&param2=val2...]

    Set generic input options
    still_framerate=<number> (0..100, default: 10)

    Still image repitition rate

    When showing still images, gmerlin repeats them periodically to make realtime filter tweaking work.

    sync_offset=<number> (-1000..1000, default: 0)

    Sync offset [ms]

    Use this for playing buggy files, which have a constant offset between audio and video. Use positive values if the video is ahead of audio

-osd param1=val1[&param2=val2...]

    Set OSD options
    enable_osd=[1|0] (default: 1)

    Enable OSD

    mode=<string>

    Supported strings: simple box outline

    Default: box

    Mode

    fontname=<string> (Default: Sans Bold 20)

    Font

    color=<r>,<g>,<b>,<a> (default: 1.000,1.000,1.000,1.000)

    <r>, <g>, <b> and <a> are in the range 0.0..1.0

    Foreground color

    border_color=<r>,<g>,<b> (default: 0.000,0.000,0.000)

    <r>, <g> and <b> are in the range 0.0..1.0

    Border color

    border_width=<number> (0.00..10.00, default: 0.00)

    Border width

    justify_h=<string>

    Supported strings: center left right

    Default: center

    Horizontal justify

    justify_v=<string>

    Supported strings: center top bottom

    Default: center

    Vertical justify

    border_left=<number> (0..65535, default: 10)

    Left border

    Distance from the left text border to the image border

    border_right=<number> (0..65535, default: 10)

    Right border

    Distance from the right text border to the image border

    border_top=<number> (0..65535, default: 10)

    Top border

    Distance from the top text border to the image border

    border_bottom=<number> (0..65535, default: 10)

    Bottom border

    Distance from the bottom text border to the image border

    box_color=<r>,<g>,<b>,<a> (default: 0.200,0.200,0.200,0.700)

    <r>, <g>, <b> and <a> are in the range 0.0..1.0

    Box color

    box_radius=<number> (0..20, default: 10)

    Box corner radius

    box_padding=<number> (0..20, default: 10)

    Box padding

    duration=<number> (0..10000, default: 2000)

    Duration (milliseconds)

-nt

    Disable time display

-nc

    Use ncurses frontend

-vol <volume>

    Set volume (0.0 - 1.0)

-tracks <track_spec>

    <track_spec> can be a ranges mixed with comma separated tracks

-as <idx>

    Selects audio stream index (starting with 1)

-ss <idx>

    Selects subtitle stream index (starting with 1)

-ra plugin[?param1=val1[&param2=val2...]]

    Select audio recoder plugin. Use -list-ra to list available plugins and -list-plugin-parameters <plugin> to list all supported options

-rv plugin[?param1=val1[&param2=val2...]]

    Use -list-rv to list available plugins and -list-plugin-parameters <plugin> to list all supported options

-list-input

    List the names of the installed input plugins

-list-oa

    List the names of the installed audio output plugins

-list-ov

    List the names of the installed video output plugins

-list-fa

    List the names of the installed audio filter plugins

-list-fv

    List the names of the installed video filter plugins

-list-ra

    List the names of the installed audio recorder plugins

-list-rv

    List the names of the installed video recorder plugins

-list-plugin-parameters plugin

    List the parameters supported by the plugin

GENERIC OPTIONS
The following generic options are available for all gmerlin applications

-help

    Print this help message and exit

-help-man

    Print this help message as a manual page and exit

-help-texi

    Print this help message in texinfo format and exit

-version

    Print version info and exit

-v level

    Set verbosity level (0..4)

-syslog name

    Log to syslog the specified name

-stderr

    Always log to stderr

FILES
~/.gmerlin/plugins.xml

    Cache of the plugin registry (shared by all applications)

~/.gmerlin/generic/cfg.xml

    Default plugin parameters are read from there. Use gmerlin_plugincfg to change them.